Skip to main content
`Ctrl`+`K`

# LandauKokkosCreateMatMaps

Build the per-grid Kokkos-backed vertex maps used by the Landau collision operator

## Synopsis

    PetscErrorCode LandauKokkosCreateMatMaps(P4estVertexMaps *, pointInterpolationP4est (*)[LANDAU_MAX_Q_FACE], PetscInt[], PetscInt)

Collective; No Fortran Support

## Note

Called internally during Landau setup when the device backend is Kokkos.

## See Also

`LandauKokkosDestroyMatMaps()`, `DMPlexLandauCreateVelocitySpace()`

## Level

developer

## Location

src/ts/utils/dmplexlandau/kokkos/landau.kokkos.cxx

Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages